require "fullscreen"
require "player"
require "functions"
require "controls"
require "char"
require "bullet"
require "endLine"

function love.load()
   g = g
	g.setBackgroundColor(255, 255, 255)
	goFullScreen()
	
	-- VARIABLES
	bulletSpeed = 150
   
   initPlayers()
   initGame()
   
   bullets = {}
   endLines = {}
   
   bullet = bullet:new(100, -200, 0, 300); table.insert(bullets, bullet)
   
   -- CREATES LINES
   lineCountY = -600
   for i=1, 115 do
      createdEndLine = endLine:new(lineCountY); table.insert(endLines, createdEndLine)
      lineCountY = lineCountY + 13
   end
   
   
   
end


function love.update(dt)
   updateObjects(dt, bullets)   -- UPDATE BULLETS
   deleteObjects(bullets)   -- REMOVE DEAD BULLETS
   updateObjects(dt, endLines)   -- UPDATE LINES
   deleteObjects(endLines)   -- REMOVE DEAD LINES

	checkControls(dt)
	
	print("BULLETS ONSCREEN:  "..table.getn(bullets))
end


function love.draw()
   
   if fullScreen then g.scale(scaleX, scaleY) end
   
	--drawObjects(endLines)   -- DRAW LINES
   
   -- DRAW COVERS
   g.setColor(255, 255, 255, 255)
   g.rectangle("fill", 0, 0, 100, 720)
   g.rectangle("fill", 106, 0, 900, 720)
   g.setColor(255, 255, 255, 255)
   
   -- DRAW BULLETS
	drawObjects(bullets)
	
   g.setColor(200, 200, 200, 255)
	g.circle("fill", player1.x, player1.y, 20, 100)
   g.circle("fill", player2.x, player2.y, 20, 100)
   g.setColor(255, 255, 255, 255)
   
end